<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center gap-4 text-text-500 leading-none">
    <div class="text-text-300">{{label ?? 'Copy'}}:</div>
    <div class="flex items-center gap-1 text-text-500">
        <div class="symbol">{{mac ? '⌘': 'Ctrl'}}</div>
        <div class="pb-0.5">+</div>
        <div class="symbol">C</div>
    </div>
    <div class="text-text-300">or</div>
    <div class="h-4 w-4 flex items-center justify-center cursor-pointer text-primary-500" appCopyToClipboard
        [textToCopy]="textToCopy" [copyMessage]="copyMessage">
        <i class="pi pi-copy" style="font-size: 1rem"></i>
    </div>
</div>